summaryrefslogtreecommitdiffstats
path: root/client/shared/lib/os-probes/mounted/70hurd
diff options
context:
space:
mode:
Diffstat (limited to 'client/shared/lib/os-probes/mounted/70hurd')
-rwxr-xr-xclient/shared/lib/os-probes/mounted/70hurd16
1 files changed, 16 insertions, 0 deletions
diff --git a/client/shared/lib/os-probes/mounted/70hurd b/client/shared/lib/os-probes/mounted/70hurd
new file mode 100755
index 00000000..af29ff55
--- /dev/null
+++ b/client/shared/lib/os-probes/mounted/70hurd
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+. /usr/share/os-prober/common.sh
+
+partition="$1"
+dir="$2"
+type="$3"
+
+if [ -d "$dir/servers" ] && [ -d "$dir/hurd" ]; then
+ label="$(count_next_label Hurd)"
+ result "$partition:GNU/Hurd:$label:hurd"
+ exit 0
+else
+ exit 1
+fi